> ## Documentation Index
> Fetch the complete documentation index at: https://docs.makelocalads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Amazon marketplaces

> The 20 marketplaces the listing workspace offers. Pass an `id` as `marketplace`.



## OpenAPI

````yaml /api/openapi.yaml get /amazon-marketplaces
openapi: 3.1.0
info:
  title: LocalAds API
  version: 1.0.0
  description: Public API for LocalAds customer integrations.
servers:
  - url: https://makelocalads.com/api/v1
security:
  - apiKey: []
tags:
  - name: Account
    description: Your organization, balance and prices.
  - name: Set up
    description: Brands, products, audiences and image uploads.
  - name: Ad campaigns
    description: Campaigns and their creatives.
  - name: Listing images
    description: Amazon listing image ideas and renders.
  - name: Photoshoots
    description: Photoshoots, templates and moodboards.
  - name: ChatGPT ads
    description: ChatGPT ad groups and ads.
  - name: UGC videos
    description: Recipes, concepts, voices and videos.
  - name: Creatives
    description: The cross-type list of finished images and videos.
paths:
  /amazon-marketplaces:
    get:
      tags:
        - Listing images
      summary: List Amazon marketplaces
      description: >-
        The 20 marketplaces the listing workspace offers. Pass an `id` as
        `marketplace`.
      operationId: listAmazonMarketplaces
      responses:
        '200':
          description: The marketplaces.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - label
                        - domain
                      properties:
                        id:
                          type: string
                          example: us
                        label:
                          type: string
                          example: United States
                        domain:
                          type: string
                          example: amazon.com
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  responses:
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: >-
        The API key lacks the required permission (`insufficient_permission`),
        the organization's plan does not include API access
        (`plan_upgrade_required`; Pro and Enterprise only), or the organization
        is suspended (`org_suspended`).
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    RateLimited:
      description: API key rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  schemas:
    Problem:
      type: object
      required:
        - type
        - title
        - status
        - detail
        - code
        - request_id
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: lads_...

````